Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.log
Class ErrorLog

    java.lang.Object
      |
      +--com.caucho.http.log.AbstractErrorLog
            |
            +--com.caucho.http.log.ErrorLog

public class ErrorLog
extends AbstractErrorLog

Represents an log of every error log request to the server.

Fields inherited from class com.caucho.http.log.AbstractErrorLog
`dbg, logStream`

Constructor Summary
`ErrorLog()`

Method Summary
`void` | `destroy()` Cleanup the log.
`void` | `log(java.lang.String message, HttpServletRequest request, HttpServletResponse response, ServletContext application)` Logs an error.
`void` | `log(java.lang.String message, java.lang.Throwable e, HttpServletRequest request, HttpServletResponse response, ServletContext application)` Logs a message to the error log.

Methods inherited from class com.caucho.http.log.AbstractErrorLog
`getLogStream, init, setLogStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorLog

    public ErrorLog()

Method Detail

### log

    public void log(java.lang.String message,
                    HttpServletRequest request,
                    HttpServletResponse response,
                    ServletContext application)
             throws java.io.IOException

  Logs an error.
  Overrides:
    `log` in class `AbstractErrorLog`
  Parameters:
    `message` - the error message
    `request` - the servlet request
    `response` - the servlet response
    `application` - the servlet context

### log

    public void log(java.lang.String message,
                    java.lang.Throwable e,
                    HttpServletRequest request,
                    HttpServletResponse response,
                    ServletContext application)
             throws java.io.IOException

  Logs a message to the error log.
  Overrides:
    `log` in class `AbstractErrorLog`
  Parameters:
    `log` - the error log to write the message.
    `message` - the message to write
    `e` - the exception to write

### destroy

    public void destroy()
                 throws java.io.IOException

  Cleanup the log.
  Overrides:
    `destroy` in class `AbstractErrorLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD